Bug 737461 - bkr task-details /whatever shows update_date=<beaker upgrade_date>
Summary: bkr task-details /whatever shows update_date=<beaker upgrade_date>
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 07:56 UTC by Petr Sklenar ⛄
Modified: 2011-09-15 17:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 17:35:35 UTC


Attachments (Terms of Use)

Comment 1 Bill Peck 2011-09-12 13:05:24 UTC
dcallagh,

Did the update to set an owner for every task cause the update column to be updated?  

Petr,
This looks like it was a one time incident, will this still be a problem going forward?  I confirmed that the behaviour is correct for new updates..

Comment 2 Petr Sklenar ⛄ 2011-09-12 13:42:48 UTC
(In reply to comment #1)
> Petr,
> This looks like it was a one time incident, will this still be a problem going
> forward?  I confirmed that the behaviour is correct for new updates..
if its working after the accident we can live with it.

Can we rely on this update column not being changed during future beaker upgrade?

Comment 3 Dan Callaghan 2011-09-13 00:29:00 UTC
(In reply to comment #1)
> Did the update to set an owner for every task cause the update column to be
> updated?  

Right, the 0.7.1 upgrade included a script to populate the Owner, Destructive, and Priority fields for every task. The 'update_date' column is really the last time that the task metadata was changed (not the time it was last uploaded):

>         Column('update_date', DateTime, onupdate=datetime.utcnow),

But of course normally the task metadata is only changed when a new version is uploaded. So the update_date won't ever be changed during a Beaker upgrade, unless there is another bulk update to the task metadata.

Petr, if what you really care about is whether the task's *code* has changed (rather than its metadata) maybe it would be better to check the version instead of relying on update_date?


Note You need to log in before you can comment on or make changes to this bug.